import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Contenu from "../Contenu";
import Volet_Base from "../components/Volet_Base";
import Volet_Menu from "../components/Volet_Menu";
import Consulter_Contenu from "../components/Consulter_Contenu";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Consulter_Contenu', () => {

    const wrapper = shallowMount(Consulter_Contenu)

    wrapper.vm.actionContenu = jest.fn()

    let button = wrapper.find('button');
    button.trigger('click');

    expect(wrapper.vm.actionContenu).toHaveBeenCalled()

})